commit: 09d3ec85098358fdf7e86d0fff3b62045accb18e
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 11 22:25:41 2018 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Jan 11 22:25:41 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09d3ec85
dev-tex/abntex: EAPI bump
Package-Manager: Portage-2.3.19, Repoman-2.3.6
...ex-0.9_beta2.ebuild => abntex-0.9_beta2-r1.ebuild} | 19 ++++++++++---------
1 file changed, 10 insertions(+), 9 deletions(-)
diff --git a/dev-tex/abntex/abntex-0.9_beta2.ebuild
b/dev-tex/abntex/abntex-0.9_beta2-r1.ebuild
similarity index 72%
rename from dev-tex/abntex/abntex-0.9_beta2.ebuild
rename to dev-tex/abntex/abntex-0.9_beta2-r1.ebuild
index a2c742a8a63..e198e8baa33 100644
--- a/dev-tex/abntex/abntex-0.9_beta2.ebuild
+++ b/dev-tex/abntex/abntex-0.9_beta2-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=3
+EAPI=6
inherit latex-package
@@ -30,30 +30,31 @@ src_prepare() {
# fix permissions
find . -type f -exec chmod 0644 "{}" + || die 'chmod 0644 failed.'
find . -type d -exec chmod 0755 "{}" + || die 'chmod 0755 failed.'
+ default
}
src_install() {
- dobin bin/geratss || die 'dobin failed.'
+ dobin bin/geratss
if use examples; then
insinto /usr/share/doc/${PF}/examples
- doins -r texmf/doc/* || die 'could not install examples.'
+ doins -r texmf/doc/*
fi
- rm -rf texmf/doc
+ rm -rf texmf/doc || die
insinto /usr/share/texmf-site
- doins -r texmf/* || die 'could not install texmf.'
+ doins -r texmf/*
if use lyx; then
insinto /usr/share/lyx
- doins -r lyx/* || die 'could not install lyx files.'
+ doins -r lyx/*
fi
- dodoc LEIAME || die 'could not install LEIAME'
+ dodoc LEIAME
if use doc; then
insinto /usr/share/doc/${PF}/docs
- doins -r compiled.docs/* || die "could not install doc"
+ doins -r compiled.docs/*
fi
}